### Hierarchy

- IHelpers

### Implemented by

- Helpers

## Index

### Methods

- addEvent
- arrayDiff
- capitalizeFirstLetter
- cellRange
- componentToHex
- convertTime
- createSlug
- formatNumber
- getCellsReference
- getContrastYIQ
- getNextValueInArray
- getRefIndex
- getURLParameter
- getUuid
- isNumber
- isTarget
- isValidEmail
- parseDateExcel
- removeEvent
- rgbToHex
- safeTitle
- safeXmlChars
- sentenceCase
- serializeObject
- tableFromArray
- toColumnName
- validHex

## Methods

### addEvent

- addEvent(element: HTMLElement | Document | Window, eventName: string, func: any): void

- - Defined in Helpers.ts:23

  #### Parameters

  - ##### element: HTMLElement | Document | Window

  - ##### eventName: string

  - ##### func: any

  #### Returns void

### arrayDiff

- arrayDiff(a1: any, a2: any): any

- - Defined in Helpers.ts:41

  #### Parameters

  - ##### a1: any

  - ##### a2: any

  #### Returns any

### capitalizeFirstLetter

- capitalizeFirstLetter(str: string): string

- - Defined in Helpers.ts:25

  #### Parameters

  - ##### str: string

  #### Returns string

### cellRange

- cellRange(str: string, rows: number, cols: number): ICellRange

- - Defined in Helpers.ts:31

  #### Parameters

  - ##### str: string

  - ##### rows: number

  - ##### cols: number

  #### Returns ICellRange

### componentToHex

- componentToHex(c: any): string

- - Defined in Helpers.ts:22

  #### Parameters

  - ##### c: any

  #### Returns string

### convertTime

- convertTime(timestamp: any): string

- - Defined in Helpers.ts:30

  #### Parameters

  - ##### timestamp: any

  #### Returns string

### createSlug

- createSlug(str: string): string

- - Defined in Helpers.ts:26

  #### Parameters

  - ##### str: string

  #### Returns string

### formatNumber

- formatNumber(n: number, precision?: undefined | number): string

- - Defined in Helpers.ts:37

  #### Parameters

  - ##### n: number

  - ##### Optional precision: undefined | number

  #### Returns string

### getCellsReference

- getCellsReference(from: IGridContentCellPosition, to: IGridContentCellPosition, headingSelected?: undefined | string): string

- - Defined in Helpers.ts:33

  #### Parameters

  - ##### from: IGridContentCellPosition

  - ##### to: IGridContentCellPosition

  - ##### Optional headingSelected: undefined | string

  #### Returns string

### getContrastYIQ

- getContrastYIQ(hexcolor: string): string

- - Defined in Helpers.ts:27

  #### Parameters

  - ##### hexcolor: string

  #### Returns string

### getNextValueInArray

- getNextValueInArray(value: string | number, arr: string[]): string

- - Defined in Helpers.ts:16

  #### Parameters

  - ##### value: string | number

  - ##### arr: string[]

  #### Returns string

### getRefIndex

- getRefIndex(str: string, obj?: undefined | false | true): any

- - Defined in Helpers.ts:18

  #### Parameters

  - ##### str: string

  - ##### Optional obj: undefined | false | true

  #### Returns any

### getURLParameter

- getURLParameter(name: string): string | null

- - Defined in Helpers.ts:40

  #### Parameters

  - ##### name: string

  #### Returns string | null

### getUuid

- getUuid(): string

- - Defined in Helpers.ts:15

  #### Returns string

### isNumber

- isNumber(value: any): boolean

- - Defined in Helpers.ts:17

  #### Parameters

  - ##### value: any

  #### Returns boolean

### isTarget

- isTarget(elm: any, otherElm: any): any

- - Defined in Helpers.ts:36

  #### Parameters

  - ##### elm: any

  - ##### otherElm: any

  #### Returns any

### isValidEmail

- isValidEmail(str: string): boolean

- - Defined in Helpers.ts:29

  #### Parameters

  - ##### str: string

  #### Returns boolean

### parseDateExcel

- parseDateExcel(excelTimestamp: number): any

- - Defined in Helpers.ts:28

  #### Parameters

  - ##### excelTimestamp: number

  #### Returns any

### removeEvent

- removeEvent(element: HTMLElement | Document | Window, eventName: string, func: any): void

- - Defined in Helpers.ts:24

  #### Parameters

  - ##### element: HTMLElement | Document | Window

  - ##### eventName: string

  - ##### func: any

  #### Returns void

### rgbToHex

- rgbToHex(rgb: string): string

- - Defined in Helpers.ts:21

  #### Parameters

  - ##### rgb: string

  #### Returns string

### safeTitle

- safeTitle(str: string, replaceWith?: undefined | string): string

- - Defined in Helpers.ts:34

  #### Parameters

  - ##### str: string

  - ##### Optional replaceWith: undefined | string

  #### Returns string

### safeXmlChars

- safeXmlChars(str: string): string

- - Defined in Helpers.ts:35

  #### Parameters

  - ##### str: string

  #### Returns string

### sentenceCase

- sentenceCase(str: string): string

- - Defined in Helpers.ts:38

  #### Parameters

  - ##### str: string

  #### Returns string

### serializeObject

- serializeObject(obj: any): string

- - Defined in Helpers.ts:32

  #### Parameters

  - ##### obj: any

  #### Returns string

### tableFromArray

- tableFromArray(arr: any): string

- - Defined in Helpers.ts:39

  #### Parameters

  - ##### arr: any

  #### Returns string

### toColumnName

- toColumnName(num: number): string

- - Defined in Helpers.ts:19

  #### Parameters

  - ##### num: number

  #### Returns string

### validHex

- validHex(hex: string): boolean

- - Defined in Helpers.ts:20

  #### Parameters

  - ##### hex: string

  #### Returns boolean

Generated using TypeDoc